//
//  HA7 logger mini_AppDelegate.h
//  HA7 logger mini
//  Copyright(C)2012 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2012.01.02 v0.0  First cording
//    2012.01.12 v0.1  Commit
//    2012.02.12 v0.2  Add efficiency items, and change UI
//

#import <Cocoa/Cocoa.h>

@interface HA7_logger_mini_AppDelegate : NSObject {
    NSWindow *window;
	
    IBOutlet id ect_v;
    IBOutlet id shrtft1_v;
    IBOutlet id longft1_v;
    IBOutlet id map_v;
    IBOutlet id rpm_v;
    IBOutlet id vss_v;
    IBOutlet id sparkadv_v;
    IBOutlet id iat_v;
    IBOutlet id tp_v;
    IBOutlet id o2s11_v;
    IBOutlet id shrtft11_v;
    IBOutlet id af_v;						// 2012.2.10 ADD
    IBOutlet id ff_v;						// 2012.2.10 ADD
    IBOutlet id dist_v;						// 2012.2.10 ADD
    IBOutlet id fuse_v;						// 2012.2.10 ADD
    IBOutlet id eff_v;						// 2012.2.10 ADD
    IBOutlet id eff2_v;						// 2012.2.10 ADD
	
    IBOutlet id ect_g;
    IBOutlet id shrtft1_g;
    IBOutlet id longft1_g;
    IBOutlet id map_g;
    IBOutlet id rpm_g;
    IBOutlet id vss_g;
    IBOutlet id sparkadv_g;
    IBOutlet id iat_g;
    IBOutlet id tp_g;
    IBOutlet id o2s11_g;
    IBOutlet id shrtft11_g;
    IBOutlet id af_g;						// 2012.2.10 ADD
    IBOutlet id ff_g;						// 2012.2.10 ADD
    IBOutlet id dist_g;						// 2012.2.10 ADD
    IBOutlet id fuse_g;						// 2012.2.10 ADD
    IBOutlet id eff_g;						// 2012.2.10 ADD
    IBOutlet id eff2_g;						// 2012.2.10 ADD
	
    IBOutlet id msg;
    IBOutlet id logf;						// 2012.2.10 ADD
    IBOutlet id cnct;						// 2012.2.10 ADD
    IBOutlet id cnst;						// 2012.2.10 ADD
	
	NSTimer *updateTimer;
}

@property (assign) IBOutlet NSWindow *window;

@end
